Get CPMS
const url = 'https://api.exolink.cloud/tenant/example/cpms/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.exolink.cloud/tenant/example/cpms/1 \ --header 'Authorization: Bearer <token>'Get details of a specific CPMS backend
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Tenant domain prefix
Responses
Section titled “Responses”CPMS details
object
Unique identifier for the CPMS backend
ID of the tenant that owns this CPMS backend
User-friendly name for the CPMS backend
WebSocket URL endpoint for the CPMS backend connection
Timestamp when the CPMS backend record was created
Timestamp when the CPMS backend record was last updated
Timestamp when the CPMS backend record was soft-deleted (null if active)
Example
{ "id": 1, "tenantId": 1, "displayName": "My Charger", "url": "ws://cpms.example.com", "createdAt": "2025-10-15T15:19:50.834Z", "updatedAt": "2025-10-15T15:19:50.834Z", "deletedAt": "2025-10-15T15:19:50.834Z"}Missing, invalid or expired credentials
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Not authorized", "errorCode": "ERR_API_NOT_AUTHORIZED"}The caller may not perform this action
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Forbidden", "errorCode": "ERR_API_FORBIDDEN"}Resource not found
Error response. Some rejections carry only message.
object
Error message
Error code
Failed validations, for requests checked against a schema
object
Path of the invalid field
Example
{ "message": "Charger '7' not found", "errorCode": "ERR_API_RESOURCE_NOT_FOUND"}